Skip to main content
POST
/
v1
/
embeddings
Get Embedding
curl --request POST \
  --url https://api.example.com/v1/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": "세종대왕에 대해 설명해줘"
}
'
{
  "created": 1747108569,
  "data": [
    {
      "embedding": [
        -0.05682373046875,
        0.0457763671875,
        0.01442718505859375,
        -0.004894256591796875,
        -0.00580596923828125,
        -0.036529541015625,
        0.0435791015625,
        0.0020618438720703125
      ],
      "index": 0,
      "object": "embedding"
    }
  ],
  "id": "embd-f9b1c2191e3c480392691f05ec104d85",
  "model": "seongil-dn/bge-m3-3800_steps_v2_234",
  "object": "list",
  "usage": {
    "completion_tokens": 0,
    "prompt_tokens": 11,
    "prompt_tokens_details": null,
    "total_tokens": 11
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Include the token in the Authorization header as 'Bearer '

Body

application/json

Embedding request. It includes input.

Embedding Module

Contains all the embedding and text generation related request and response models.

input
string
required

Query to get embedding

model
string | null

Optional model name (will be overridden by Redis model value for managed endpoints)

tenant_uuid
string | null

Optional tenant UUID for billing tracking

Response

Successfully retrieved embedding

code
integer<int32>
required

HTTP status code.

Required range: x >= 0
success
boolean
required

Whether the request was successful.

data
any
exception
any